## org.apache.mahout.text
Class PrefixAdditionFilter

    java.lang.Object
      org.apache.mahout.text.SequenceFilesFromDirectoryFilter
          org.apache.mahout.text.PrefixAdditionFilter

All Implemented Interfaces:
  org.apache.hadoop.fs.PathFilter

    public final class PrefixAdditionFilter

extends SequenceFilesFromDirectoryFilter

Default parser for parsing text into sequence files.

Constructor Summary
`PrefixAdditionFilter(org.apache.hadoop.conf.Configuration conf, String keyPrefix, Map<String,String> options, ChunkedWriter writer, Charset charset, org.apache.hadoop.fs.FileSystem fs)`

Method Summary
`protected void` `process(org.apache.hadoop.fs.FileStatus fst, org.apache.hadoop.fs.Path current)`

Methods inherited from class org.apache.mahout.text.SequenceFilesFromDirectoryFilter
`accept, getCharset, getConf, getFs, getOptions, getPrefix, getWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrefixAdditionFilter

    public PrefixAdditionFilter(org.apache.hadoop.conf.Configuration conf,
                                String keyPrefix,
                                Map<String,String> options,
                                ChunkedWriter writer,
                                Charset charset,
                                org.apache.hadoop.fs.FileSystem fs)

Method Detail

### process

    protected void process(org.apache.hadoop.fs.FileStatus fst,
                           org.apache.hadoop.fs.Path current)
                    throws IOException

  Specified by:
    `process` in class `SequenceFilesFromDirectoryFilter`
  Throws:
    `IOException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.